Skip to main content
GET
/
nbx
/
v2
/
emm
/
events
/
{eventId}
cURL Example
curl -X GET "https://api.novig.us/nbx/v2/emm/events/550e8400-e29b-41d4-a716-446655440000" \
  -H "Authorization: Bearer $TOKEN"
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "type": "Game",
  "status": "OPEN_PREGAME",
  "description": "Kansas City Chiefs @ Buffalo Bills",
  "league": "NFL",
  "scheduledStart": "2025-01-26T18:30:00.000Z",
  "marketIds": [
    "market-uuid-1",
    "market-uuid-2",
    "market-uuid-3"
  ],
  "game": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "league": "NFL",
    "status": "SCHEDULED",
    "scheduledStart": "2023-12-10T20:00:00Z",
    "homeTeam": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Kansas City Chiefs",
      "shortName": "Chiefs",
      "symbol": "KC",
      "mascot": "Chiefs"
    },
    "awayTeam": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Kansas City Chiefs",
      "shortName": "Chiefs",
      "symbol": "KC",
      "mascot": "Chiefs"
    }
  }
}

Path Parameters

eventId
string
required

The server-generated UUID of the event to retrieve

Response

Event retrieved successfully.

id
string
required

The unique identifier of the event

Example:

"550e8400-e29b-41d4-a716-446655440000"

type
string
required

The type of event

Example:

"Game"

status
enum<string>
required

The current status of the event

Available options:
INITIAL,
OPEN_PREGAME,
CLOSED_PREGAME,
OPEN_INGAME,
FINAL,
DELAYED,
CANCELED
Example:

"OPEN_PREGAME"

description
string
required

A human-readable description of the event

Example:

"Kansas City Chiefs @ Buffalo Bills"

league
string
required

The league this event belongs to

Example:

"NFL"

scheduledStart
string<date-time>
required

The scheduled start time of the event

Example:

"2025-01-26T18:30:00.000Z"

marketIds
string[]
required

Array of market IDs associated with this event

Example:
[
"market-uuid-1",
"market-uuid-2",
"market-uuid-3"
]
game
object

The game details associated with the event